Animation in Angular Stepper component

27 Apr 20242 minutes to read

The Stepper progress state can be animated, smoothly transitioning from one step to another. You can customize the animation’s duration and delay by using the animation property.

You can disable the animation by setting the enable property to false. By default, the value is true.

Fields Type Description
duration number Specifies the duration of the animated transition for each step. The default value is 2000 milliseconds.
delay number Specifies the delay to initiate the animated transition for each step in milliseconds. The default value is 0.

The example demonstrates the animation duration and delay settings for the Stepper.

import { Component } from "@angular/core";
import { StepperAnimationSettingsModel, StepperAllModule, StepperModule } from "@syncfusion/ej2-angular-navigations";

@Component({
  imports: [ StepperAllModule, StepperModule ],
  standalone: true,
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent  {
  public animateStepper: StepperAnimationSettingsModel = {enable: true, duration: 2000, delay: 500};
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
<div class="stepperAnimation">
  <ejs-stepper [animation]="animateStepper">
    <e-steps>
      <e-step></e-step>
      <e-step></e-step>
      <e-step></e-step>
      <e-step></e-step>
    </e-steps>
  </ejs-stepper>
</div>

Animation in Vue Stepper component

11 Jun 20244 minutes to read

The Stepper progress state can be animated, smoothly transitioning from one step to another. You can customize the animation’s duration and delay by using the animation property.

You can disable the animation by setting the enable property to false. By default, the value is true.

Fields Type Description
duration number Specifies the duration of the animated transition for each step. The default value is 2000 milliseconds.
delay number Specifies the delay to initiate the animated transition for each step in milliseconds. The default value is 0.

The example demonstrates the animation duration and delay settings for the Stepper.

<template>
  <div class="animation-container">
    <ejs-stepper id="stepper" :animation="animation">
      <e-steps>
        <e-step title="1"></e-step>
        <e-step title="2"></e-step>
        <e-step title="3"></e-step>
        <e-step title="4"></e-step>
      </e-steps>
    </ejs-stepper>
  </div>
</template>
<script setup>

import { StepperComponent as EjsStepper, StepsDirective as ESteps, StepDirective as EStep } from "@syncfusion/ej2-vue-navigations";

const animation = { enable: true, delay: '500', duration: '2000' };

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";

.animation-container {
  margin-top: 30px;
  padding: 30px;
}
</style>
<template>
    <div class="animation-container">
        <ejs-stepper id="stepper" :animation="animation">
            <e-steps>
                <e-step title="1"></e-step>
                <e-step title="2"></e-step>
                <e-step title="3"></e-step>
                <e-step title="4"></e-step>
            </e-steps>
        </ejs-stepper>
    </div>
</template>
<script>

import { StepperComponent, StepsDirective, StepDirective } from "@syncfusion/ej2-vue-navigations";

export default {
    name: "App",
    components: {
        'ejs-stepper': StepperComponent,
        "e-steps": StepsDirective,
        "e-step": StepDirective
    },
    data() {
        return {
            animation: { enable: true, delay: '500', duration: '2000' }
        };
    }
};
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";

.animation-container {
    margin-top: 30px;
    padding: 30px;
}
</style>

Animation in React Stepper component

5 Jan 20244 minutes to read

The Stepper progress state can be animated, smoothly transitioning from one step to another. You can customize the animation’s duration and delay by using the animation property.

You can disable the animation by setting the enable property to false. By default, the value is true.

Fields Type Description
duration number Specifies the duration of the animated transition for each step. The default value is 2000 milliseconds.
delay number Specifies the delay to initiate the animated transition for each step in milliseconds. The default value is 0.

The example demonstrates the animation duration and delay settings for the Stepper.

import * as React from "react";
import * as ReactDom from "react-dom";
import { StepperComponent, StepsDirective, StepDirective } from '@syncfusion/ej2-react-navigations';

function App() {
    return (
        <div className="stepper-animation">
            <StepperComponent animation={{ enable: true, duration: 2000, delay: 500 }}>
                <StepsDirective>
                    <StepDirective />
                    <StepDirective />
                    <StepDirective />
                    <StepDirective />
                </StepsDirective>
            </StepperComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById("element"));
import * as React from "react";
import * as ReactDom from "react-dom";
import { StepperComponent, StepsDirective, StepDirective } from '@syncfusion/ej2-react-navigations';

function App() {
    return (
        <div className="stepper-animation">
            <StepperComponent animation={{ enable: true, duration: 2000, delay: 500 }}>
                <StepsDirective>
                    <StepDirective />
                    <StepDirective />
                    <StepDirective />
                    <StepDirective />
                </StepsDirective>
            </StepperComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById("element"));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}